From 02aad865f33ac81668c6769b6e095b1b8ca94b27 Mon Sep 17 00:00:00 2001
From: Leigh Scott <leigh123linux@googlemail.com>
Date: Thu, 24 Oct 2019 10:05:41 +0100
Subject: [PATCH] fix ftbfs

---
 ..._guid-handle-misaligned-guid-pointer.patch |   59 +
 ...es-Werror-address-of-packed-member-c.patch |  172 +
 ...r-of-Werror-address-of-packed-member.patch |   54 +
 ...7-.abixml-for-new-libabigail-version.patch | 5854 +++++++++++++++++
 ...cmp-s-alignment-problem-a-different-.patch |   70 +
 efivar.spec                                   |    7 +-
 6 files changed, 6215 insertions(+), 1 deletion(-)
 create mode 100644 0001-dp.h-make-format_guid-handle-misaligned-guid-pointer.patch
 create mode 100644 0002-Fix-all-the-places-Werror-address-of-packed-member-c.patch
 create mode 100644 0003-Fix-another-error-of-Werror-address-of-packed-member.patch
 create mode 100644 0004-Update-efivar-37-.abixml-for-new-libabigail-version.patch
 create mode 100644 0005-Fix-up-efi_guid_cmp-s-alignment-problem-a-different-.patch

diff --git a/efivar.spec b/efivar.spec
index 0394864..099b485 100644
--- a/efivar.spec
+++ b/efivar.spec
@@ -12,6 +12,11 @@ BuildRequires:  efi-srpm-macros git glibc-static libabigail
 # please don't fix this to reflect github's incomprehensible url that goes
 # to a different tarball.
 Source0:        https://github.com/rhboot/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2
+Patch0001:      0001-dp.h-make-format_guid-handle-misaligned-guid-pointer.patch
+Patch0002:      0002-Fix-all-the-places-Werror-address-of-packed-member-c.patch
+Patch0003:      0003-Fix-another-error-of-Werror-address-of-packed-member.patch
+Patch0004:      0004-Update-efivar-37-.abixml-for-new-libabigail-version.patch
+Patch0005:      0005-Fix-up-efi_guid_cmp-s-alignment-problem-a-different-.patch
 
 %description
 efivar provides a simple command line interface to the UEFI variable facility.
@@ -44,7 +49,7 @@ git config --unset user.name
 make LIBDIR=%{_libdir} BINDIR=%{_bindir} CFLAGS="$RPM_OPT_FLAGS -flto" LDFLAGS="$RPM_LD_FLAGS -flto"
 
 %install
-%makeinstall
+%make_install
 
 %check
 %ifarch x86_64
-- 
2.21.0

